/****************************************************************************
PROFFT.CPP inneholder disse variable og funksjonene i denne rekkeflgen.
*****************************************************************************
HANDLE hByteToComplexTable;
BOOL bCircleRubber = TRUE;
BOOL bShiftCenter = TRUE;
void TPROffApp::InitMainWindow()
int PASCAL WinMain(HANDLE hInstance, HANDLE hPrevInstance,
		LPSTR lpCmdLine, int nCmdShow)
****************************************************************************/

#include <owl.h>
#include <filedial.h>
#include <dir.h>
#include <dos.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <mdi.h>

#pragma hdrstop
#include "profftid.h"  // PROfft symbolske konstanter
#include "profft.h"	   // PROfft klassedefinisjoner
#include "prcomp.h"    // PROfft komplekse tall

//  En handle til en tabell som inneholder de komplekse tallene fra
//  0 tom. 255. Denne benyttes i TComplexWindow::ConvertBMPToComplex
//  for effektivitetshensyn (tabelloppslag er raskere enn  konvertere
//  mange tall til flyttall).
HANDLE hByteToComplexTable;

//  Er viskelret sirkelformet? Hvis ikke s er det firkantformet.
//  Viskerlret brukes til  tegne i de komplekse bildene.
BOOL bCircleRubber = TRUE;

//  Denne forteller om de komplekse bildene som oppstr etter at
//  man fouriertransformerer et bilde skal vises slik at de laveste
//  frekvensene samles i midten (den vanligste mten  vise fourier
//  transformerte bilder p). Hvis ikke finner man de laveste frekvensene
//  ytterst i bildet. MERK! Hvis denne er FALSE vil ingen av filtrene
//  (unntatt frihnds filteret) kunne brukes.
BOOL bShiftCenter = TRUE;

//  Instansierer hovedvinduet i applikasjonen vr.
void TPROffApp::InitMainWindow()
{
	MainWindow = new TMainWindow(Name);
}

//  Programmet starter her nr det lastes. Frst instansieres
//  et TPROfftApp objekt. Dette instansierer hovedvinduet osv.
int PASCAL WinMain(HANDLE hInstance, HANDLE hPrevInstance,
		LPSTR lpCmdLine, int nCmdShow)
{
	TPROffApp TestApp(APP_NAME, hInstance, hPrevInstance,
		lpCmdLine, nCmdShow);
	TestApp.Run();
	return TestApp.Status;
}
